Crashpad

Public Member Functions | List of all members
crashpad::internal::MinidumpUTF16StringWriter Class Referencefinal

Writes a variable-length UTF-16-encoded MINIDUMP_STRING to a minidump file. More...

`#include "minidump/minidump_string_writer.h"`

Inheritance diagram for crashpad::internal::MinidumpUTF16StringWriter:

## Public Member Functions
void | SetUTF8 (const std::string &string_utf8)
| Converts a UTF-8 string to UTF-16 and sets it as the string to be written. More...
Public Member Functions inherited from crashpad::internal::MinidumpWritable
virtual bool | WriteEverything (FileWriterInterface *file_writer)
| Writes an object and all of its children to a minidump file. More...
void | RegisterRVA (RVA *rva)
| Registers a file offset pointer as one that should point to the object on which this method is called. More...
void | RegisterLocationDescriptor (MINIDUMP_LOCATION_DESCRIPTOR *location_descriptor)
| Registers a location descriptor as one that should point to the object on which this method is called. More...

## Additional Inherited Members
Protected Types inherited from crashpad::internal::MinidumpStringWriter< MinidumpStringWriterUTF16Traits >
using | MinidumpStringType = typename MinidumpStringWriterUTF16Traits ::MinidumpStringType
using | StringType = typename MinidumpStringWriterUTF16Traits ::StringType
Protected Types inherited from crashpad::internal::MinidumpWritable
enum | State
| Identifies the state of an object. More...
enum | Phase
| Identifies the phase during which an object will be written to a minidump file. More...
Protected Member Functions inherited from crashpad::internal::MinidumpStringWriter< MinidumpStringWriterUTF16Traits >
bool | Freeze () override
| Transitions the object from kStateMutable to kStateFrozen. More...
size_t | SizeOfObject () override
| Returns the amount of space that this object will consume when written to a minidump file, in bytes, not including any leading or trailing padding necessary to maintain proper alignment. More...
bool | WriteObject (FileWriterInterface *file_writer) override
| Writes the object’s content. More...
void | set_string (const StringType &string)
| Sets the string to be written. More...
const StringType & | string () const
| Retrieves the string to be written. More...
Protected Member Functions inherited from crashpad::internal::MinidumpWritable
State | state () const
| The state of the object.
virtual size_t | Alignment ()
| Returns the object’s desired byte-boundary alignment. More...
virtual std::vector< MinidumpWritable * > | Children ()
| Returns the object’s children. More...
virtual Phase | WritePhase ()
| Returns the object’s desired write phase. More...
size_t | WillWriteAtOffset (Phase phase, FileOffset *offset, std::vector< MinidumpWritable *> *write_sequence)
| Prepares the object to be written at a known file offset, transitioning it from kStateFrozen to kStateWritable. More...
virtual bool | WillWriteAtOffsetImpl (FileOffset offset)
| Called once an object’s writable file offset is determined, as it transitions into kStateWritable. More...
bool | WritePaddingAndObject (FileWriterInterface *file_writer)
| Writes the object, transitioning it from kStateWritable to kStateWritten. More...
Static Protected Attributes inherited from crashpad::internal::MinidumpWritable
static const size_t | kInvalidSize
| A size value used to signal failure by methods that return `size_t`. More...

## Detailed Description

Writes a variable-length UTF-16-encoded MINIDUMP_STRING to a minidump file.

MinidumpUTF16StringWriter objects should not be instantiated directly outside of the MinidumpWritable family of classes.

## Member Function Documentation

## ◆ SetUTF8()

void crashpad::internal::MinidumpUTF16StringWriter::SetUTF8 | ( | const std::string & | string_utf8 | ) |

Converts a UTF-8 string to UTF-16 and sets it as the string to be written.

Note
  Valid in kStateMutable.

The documentation for this class was generated from the following files:

- minidump/minidump_string_writer.h
- minidump/minidump_string_writer.cc